org.firebirdsql.jdbc.escape

## Class FBEscapedParser

- java.lang.Object
- - org.firebirdsql.jdbc.escape.FBEscapedParser

    public final class FBEscapedParser
    extends java.lang.Object

The class `FBEscapedParser` parses the SQL and converts escaped syntax to native form.

Version:
  1.0
Author:
  Roman Rokytskyy, Mark Rotteveel

### Nested Class Summary

Nested Classes
`static class` `FBEscapedParser.EscapeParserMode`

### Constructor Summary

Constructors
Constructor and Description
`FBEscapedParser(FBEscapedParser.EscapeParserMode mode)` Creates a parser for JDBC escaped strings.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `parse(java.lang.String sql)` Converts escaped parts in the passed SQL to native representation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FBEscapedParser

    public FBEscapedParser(FBEscapedParser.EscapeParserMode mode)

Creates a parser for JDBC escaped strings.

Parameters:
  `mode` - One of `FBEscapedParser.EscapeParserMode.USE_BUILT_IN` or `FBEscapedParser.EscapeParserMode.USE_STANDARD_UDF`

### Method Detail

#### parse

    public java.lang.String parse(java.lang.String sql)
                           throws java.sql.SQLException

Converts escaped parts in the passed SQL to native representation.

Parameters:
  `sql` - to parse
Returns:
  native form of the `sql`.
Throws:
  `java.sql.SQLException`